# Changelog

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.1.1] - 2025-05-27

**Changed**:

- Integrated `hatch` for project management, build, testing, and publishing.
- Refactored `pyproject.toml` with updated metadata, dependencies, and `hatch` configurations.
- Corrected internal import paths after moving from monorepo.
- Added `src/log_analyzer_mcp/common/logger_setup.py`.
- Replaced `run_all_tests.py` and `create_coverage_report.sh` with `hatch` commands.
- Refactored `log_analyzer_mcp_server.py` to use `hatch test` for its internal test execution tools.
- Updated test suite (`test_analyze_runtime_errors.py`, `test_log_analyzer_mcp_server.py`) for `pytest-asyncio` strict mode and improved assertions.
- Implemented subprocess coverage collection using `COVERAGE_PROCESS_START`, `coverage.process_startup()`, and `SIGTERM` handling, achieving >80% on server and improved coverage on other scripts.
- Added tests for `parse_coverage.py` (`test_parse_coverage_script.py`) and created `sample_coverage.xml`.
- Updated `log_analyzer.py` with more robust `pytest` summary parsing.
- Updated documentation: `docs/refactoring/log_analyzer_refactoring_v1.md`, `docs/refactoring/README.md`, main `README.md`, `docs/README.md`.
- Refactored scripts in `scripts/` folder (`build.sh`, `cleanup.sh`, `run_log_analyzer_mcp_dev.sh`, `publish.sh`, `release.sh`) to use `hatch` and modern practices.

**Fixed**:

- Numerous test failures related to timeouts, `anyio` task scope errors, `ImportError` for `TextContent`, and `pytest`/`coverage` argument conflicts.
- Code coverage issues for subprocesses.
- `TypeError` in `test_parse_coverage_xml_no_line_rate`.

## [0.1.0] - 2025-05-26

**Added**:

- Initial project structure for `log_analyzer_mcp`.
- Basic MCP server setup.
- Core log analysis functionalities.
